### Name: as.epitable
### Title: Create r x 2 contigency table (exposure levels vs. binary
###   outcome)
### Aliases: as.epitable
### Keywords: manip

### ** Examples

## single vector
dat <- c(88, 20, 555, 347)
as.epitable(dat)

## 4 or more integers
as.epitable(1,2,3,4,5,6)

## single matrix
as.epitable(matrix(1:6, 3, 2))

## two categorical vectors
exposure <- factor(sample(c("Low", "Med", "High"), 100, rep=TRUE),
                   levels=c("Low", "Med", "High"))
outcome <- factor(sample(c("No", "Yes"), 100, rep=TRUE))
as.epitable(exposure, outcome)
as.epitable("Exposure Level"=exposure, "Disease"=outcome)

## reversing row and/or column order
zz <- as.epitable("Exposure Level"=exposure, "Disease"=outcome)
zz
as.epitable(zz, trow = TRUE)
as.epitable(zz, tcol = TRUE)
as.epitable(zz, trow = TRUE, tcol = TRUE)




